#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xbbe5a803, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x3e424cf0, "");
SYMBOL_CRC(__bcma_driver_register, 0xc272227c, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xc607528d, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x97b8cd23, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x6f5b0ea1, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xcb10add7, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x633566a1, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x93bfeed4, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xe7b220b5, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xd7cab1db, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xb6b61549, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x4a8e9c55, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xdea1590f, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x0c940fa9, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x3e92ce8a, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xf8c3f641, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x60f982bf, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xce431f63, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x51100e3b, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x8825de4a, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x282c24eb, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x99c34158, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x73c14cc7, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xcd48149f, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x6efa1ac6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x333967da, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2479723b, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa3995dd3, "_dev_info" },
	{ 0x0c50c266, "gpiochip_get_data" },
	{ 0x860715ea, "bus_unregister" },
	{ 0x79145c9d, "_dev_err" },
	{ 0x2c425537, "device_add" },
	{ 0xc19e68c4, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x046b15a5, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1c8e0c55, "pci_iounmap" },
	{ 0x0b19b445, "ioread8" },
	{ 0x0a24f596, "_dev_warn" },
	{ 0xe2492360, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x82329e81, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b29f74d, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x62488524, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5bbdac77, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37c9fceb, "pci_disable_device" },
	{ 0x31007b1e, "pcie_set_readrq" },
	{ 0x2682c12e, "driver_register" },
	{ 0xf10d0b18, "__dev_fwnode" },
	{ 0xa20f0f1e, "pci_write_config_dword" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x728c57a0, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x02e2fd8d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb635d0e2, "dev_set_name" },
	{ 0x55886f2e, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1fd502a7, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x9879a990, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x0513a1f6, "device_initialize" },
	{ 0xc060601f, "pci_request_regions" },
	{ 0x037a0cba, "kfree" },
	{ 0x06a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa3609fd5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x89b88714, "__dynamic_dev_dbg" },
	{ 0xc777d4fb, "pci_unregister_driver" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B854C66441333162F8416CC");
