#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(analogix_dp_probe, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_suspend, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_resume, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_bind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_unbind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_start_crc, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_stop_crc, "_gpl", "");
KSYMTAB_FUNC(anx_dp_aux_transfer, "_gpl", "");

SYMBOL_CRC(analogix_dp_probe, 0xce321e89, "_gpl");
SYMBOL_CRC(analogix_dp_suspend, 0x99b326f3, "_gpl");
SYMBOL_CRC(analogix_dp_resume, 0x28b05384, "_gpl");
SYMBOL_CRC(analogix_dp_bind, 0x5712f869, "_gpl");
SYMBOL_CRC(analogix_dp_unbind, 0xe72fdaf6, "_gpl");
SYMBOL_CRC(analogix_dp_start_crc, 0xde082567, "_gpl");
SYMBOL_CRC(analogix_dp_stop_crc, 0x4db11caa, "_gpl");
SYMBOL_CRC(anx_dp_aux_transfer, 0x3ee0dd60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x5e92277c, "gpiod_to_irq" },
	{ 0x4108823c, "drm_helper_hpd_irq_event" },
	{ 0xbb2cfd20, "drm_atomic_get_old_connector_for_encoder" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x943e05c7, "gpiod_get_value" },
	{ 0x32e29ba6, "devm_gpiod_get_optional" },
	{ 0x89b88714, "__dynamic_dev_dbg" },
	{ 0xa6a1b3fa, "devm_clk_get" },
	{ 0x658e2de7, "drm_atomic_helper_bridge_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x574ea489, "drm_connector_attach_encoder" },
	{ 0x3a5dbf37, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96ea37f5, "drm_dp_aux_init" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xac5caa8f, "drm_edid_connector_update" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x488feedf, "drm_atomic_helper_connector_destroy_state" },
	{ 0xad94f416, "drm_dev_printk" },
	{ 0xb08cb211, "drm_dp_stop_crc" },
	{ 0xbb3bcf95, "drm_panel_disable" },
	{ 0xcde49b6d, "drm_connector_init" },
	{ 0x79145c9d, "_dev_err" },
	{ 0x85b88e0b, "drm_dp_aux_unregister" },
	{ 0xe1e3a017, "drm_edid_connector_add_modes" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4687525, "phy_power_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x0a24f596, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d6c8910, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x4e6cf8c3, "phy_power_off" },
	{ 0x90843939, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6accd1c, "regmap_read" },
	{ 0x52a1ca0e, "regmap_bulk_write" },
	{ 0x5b09c5cc, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x0481ae79, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9ed288d6, "regmap_bulk_read" },
	{ 0xeda326a4, "drm_helper_probe_single_connector_modes" },
	{ 0xea321d1d, "drm_panel_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x395dc9ac, "drm_bridge_attach" },
	{ 0x5a943fd3, "regmap_update_bits_base" },
	{ 0x5b650ac2, "drm_atomic_helper_connector_reset" },
	{ 0x959885e6, "__pm_runtime_suspend" },
	{ 0x00f143b0, "__pm_runtime_use_autosuspend" },
	{ 0x11dc64d9, "devm_phy_get" },
	{ 0x4a54d354, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x815588a6, "clk_enable" },
	{ 0x35009503, "drm_dp_dpcd_write" },
	{ 0x20297a75, "drm_panel_unprepare" },
	{ 0x110dfbdc, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb3b505b, "drm_edid_read_ddc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x23899973, "drm_dp_start_crc" },
	{ 0x94cc5c16, "drm_panel_get_modes" },
	{ 0x53318de4, "devm_platform_ioremap_resource" },
	{ 0xab155c85, "regmap_write" },
	{ 0xa50c468e, "devm_request_threaded_irq" },
	{ 0xfc63e0eb, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xe246bc2b, "devm_kmalloc" },
	{ 0xfb69668a, "drm_dp_dpcd_read" },
	{ 0x67fc3c2c, "devm_pm_runtime_enable" },
	{ 0x8b003604, "drm_panel_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x34b9de75, "platform_get_irq" },
	{ 0x8dada2d0, "pm_runtime_set_autosuspend_delay" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper");


MODULE_INFO(srcversion, "9D5CEB850B6B19474ABC576");
