#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x04768573, "usb_submit_urb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd1d1a024, "hid_open_report" },
	{ 0x3479a31f, "hid_hw_start" },
	{ 0x5ac250a0, "hid_is_usb" },
	{ 0xd762df3c, "usb_free_urb" },
	{ 0x039fdd6a, "hid_hw_stop" },
	{ 0x0a86e61a, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6f1167d7, "hid_unregister_driver" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9f995ce0, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7bcee9ee, "input_mt_report_slot_state" },
	{ 0xfc29da9f, "input_mt_sync_frame" },
	{ 0xa25c3192, "hid_hw_close" },
	{ 0xffb7c514, "ida_free" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x43c2207a, "hid_hw_request" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x2f38e6d0, "devm_led_classdev_register_ext" },
	{ 0x8d6c839c, "input_set_capability" },
	{ 0x71206815, "input_ff_create_memless" },
	{ 0x6526d75a, "devm_kasprintf" },
	{ 0xfa79af91, "devm_power_supply_register" },
	{ 0x8980823b, "power_supply_powers" },
	{ 0xbd10102f, "hid_hw_open" },
	{ 0x2a64a10d, "hid_validate_values" },
	{ 0x144f3e23, "input_mt_init_slots" },
	{ 0x0a24f596, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1726cdd4, "__hid_register_driver" },
	{ 0x79145c9d, "_dev_err" },
	{ 0xa3995dd3, "_dev_info" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0x6f355e58, "hid_hw_raw_request" },
	{ 0x037a0cba, "kfree" },
	{ 0xbcdfa034, "hid_hw_output_report" },
	{ 0xe246bc2b, "devm_kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x86217c23, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb01ee71c, "input_register_device" },
	{ 0xc849a04c, "input_set_abs_params" },
	{ 0x342cbc51, "input_alloc_absinfo" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x116e6f30, "power_supply_get_drvdata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "820FCCFC45B34B08A8BEBBA");
