#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0xab76bd95, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0x01fdb877, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x1ac31c53, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xc197279b, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x1fe02b09, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x29907a74, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f396cfb, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xcbed0b69, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xf4060b78, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2dd40329, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xd89d7a1d, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x356e2c34, "usb_bulk_msg" },
	{ 0xb01ee71c, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x04768573, "usb_submit_urb" },
	{ 0xa3995dd3, "_dev_info" },
	{ 0x86a8ef57, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6504ed35, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x35a580fe, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x50cc4621, "rc_register_device" },
	{ 0x0d353c9b, "usb_control_msg" },
	{ 0xdfc931e1, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x5fb6b796, "dvb_dmxdev_release" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x71cf8fc9, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f995ce0, "input_event" },
	{ 0xb59f9d8d, "dvb_frontend_detach" },
	{ 0xcfcd6d8e, "i2c_add_adapter" },
	{ 0x06723603, "dvb_net_release" },
	{ 0x182eb93c, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbed73256, "dvb_unregister_frontend" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0xbb772ea6, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x09afbdec, "__media_device_usb_init" },
	{ 0x587579b9, "dvb_register_frontend" },
	{ 0xabaf2fa3, "dvb_create_media_graph" },
	{ 0xdbef5a78, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x83a78f89, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec4d22a3, "rc_unregister_device" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1cd8c36e, "input_allocate_device" },
	{ 0xdffdb863, "dvb_dmxdev_init" },
	{ 0x0a86e61a, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x98a664b2, "media_device_unregister" },
	{ 0xd762df3c, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb275ea75, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6b4939d4, "request_firmware" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "8780B0A73029EC72CA1F7D6");
