#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x78c44afc, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0xcb515314, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x59ce7b17, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x4aeb0353, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0xbf95fb08, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0xbc073de3, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0xefba859e, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x4936a2a1, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0xcb58d45c, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0xcc05cf31, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x656704be, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x59186fc9, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x64c063c2, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x792f8897, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0xdc4b3c4d, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xa90d390d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd8d6b085, "rt2x00queue_get_entry" },
	{ 0xa1d18072, "rt2800_process_rxwi" },
	{ 0x8eb42d94, "rt2x00mmio_rxdone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xaad9aa74, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8547e799, "rt2800_get_txwi_rxwi_size" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x96cd197c, "rt2800_disable_wpdma" },
	{ 0x9475815a, "rt2800_wait_wpdma_ready" },
	{ 0xeaed6408, "rt2800_enable_radio" },
	{ 0x41b34586, "rt2800_txstatus_pending" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x15e11367, "rt2800_txdone" },
	{ 0xc3caebf2, "rt2800_txdone_nostatus" },
	{ 0x69c7f591, "rt2800_txstatus_timeout" },
	{ 0x24b4ca36, "rt2800_probe_hw" },
	{ 0x6392814d, "rt2x00lib_pretbtt" },
	{ 0x2c03da7a, "rt2x00lib_beacondone" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "36F47ED470BEFD53F5EC32B");
