#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x3e2f5aaf, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xab1c7984, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xcf8e6415, "");
SYMBOL_CRC(sdw_intel_startup, 0x4131de29, "");
SYMBOL_CRC(sdw_intel_exit, 0x35393079, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x7839e536, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b5b01b1, "__auxiliary_device_add" },
	{ 0x07238868, "sdw_cdns_alloc_pdi" },
	{ 0x8f4e27a8, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6fb645fb, "fwnode_property_read_u16_array" },
	{ 0xd2867812, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x538abf31, "debugfs_remove" },
	{ 0x65c1fe20, "sdw_cdns_check_read_response" },
	{ 0x320c2d16, "cdns_xfer_msg_defer" },
	{ 0x71cc98ff, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7ce1c6d3, "sdw_cdns_bpt_find_buffer_sizes" },
	{ 0x077dcac0, "sdw_cdns_prepare_write_dma_buffer" },
	{ 0x8dd47a06, "sdw_deprepare_stream" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3ce5cde8, "device_del" },
	{ 0x485ba739, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6526d75a, "devm_kasprintf" },
	{ 0xcb90cff2, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x16999c4a, "seq_read" },
	{ 0x8d26488f, "sdw_stream_add_master" },
	{ 0x0481ae79, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1f06c52f, "cdns_read_ping_status" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdd99218c, "acpi_fetch_acpi_dev" },
	{ 0x0da36157, "device_get_named_child_node" },
	{ 0x1dae3e5a, "sdw_cdns_probe" },
	{ 0x00c6021b, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0x48335896, "sdw_cdns_config_update" },
	{ 0x77c3b574, "seq_printf" },
	{ 0x977319ee, "sdw_stream_remove_slave" },
	{ 0xe651e2fb, "hda_sdw_bpt_close" },
	{ 0x1bb46899, "debugfs_create_file_full" },
	{ 0x6f0f4055, "sdw_bus_master_delete" },
	{ 0x045fdd4f, "single_release" },
	{ 0xae9f967d, "__auxiliary_driver_register" },
	{ 0x1790f5b5, "sdw_cdns_check_self_clearing_bits" },
	{ 0x6a065847, "hda_sdw_bpt_wait" },
	{ 0x00f143b0, "__pm_runtime_use_autosuspend" },
	{ 0x90f806fb, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x83a78f89, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x9da20792, "sdw_release_stream" },
	{ 0x31ccbc97, "single_open" },
	{ 0xbf2e19f7, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0xc3ed0500, "__pm_runtime_disable" },
	{ 0xef719672, "hda_sdw_bpt_send_async" },
	{ 0xba3394ae, "debugfs_create_dir" },
	{ 0x7d67b26c, "sdw_prepare_stream" },
	{ 0x1e0de854, "sdw_stream_add_slave" },
	{ 0x7255a51f, "sdw_master_read_prop" },
	{ 0xf022766a, "hdac_bus_eml_get_count" },
	{ 0x495cc443, "sdw_compute_params" },
	{ 0x110dfbdc, "__pm_runtime_idle" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8183ba4d, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x21268cf6, "simple_attr_open" },
	{ 0x8acab702, "debugfs_attr_write" },
	{ 0xe246bc2b, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x69a34f4e, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfd43ea16, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x33e0f5ce, "sdw_cdns_clock_restart" },
	{ 0x8d8ae606, "sdw_cdns_debugfs_init" },
	{ 0x97db4272, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x8dada2d0, "pm_runtime_set_autosuspend_delay" },
	{ 0x0e6a0f68, "sdw_bus_master_add" },
	{ 0x2a8e84a5, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x02273199, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x037a0cba, "kfree" },
	{ 0x35fd9264, "sdw_cdns_is_clock_stop" },
	{ 0x9351a4a5, "hdac_bus_eml_enable_interrupt_unlocked" },
	{ 0xc11f553a, "seq_lseek" },
	{ 0x8768445e, "sdw_cdns_config_update_set_wait" },
	{ 0xe9a38334, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdebf2db8, "sdw_cdns_prepare_read_dma_buffer" },
	{ 0x51bdf662, "sdw_alloc_stream" },
	{ 0x89b88714, "__dynamic_dev_dbg" },
	{ 0x1098a350, "sdw_cdns_check_write_response" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x156e65ea, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x70141749, "__pm_runtime_set_status" },
	{ 0xb255268d, "auxiliary_driver_unregister" },
	{ 0x69f6a2cb, "devm_snd_soc_register_component" },
	{ 0x39bca846, "cdns_bus_conf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x27787f14, "sdw_cdns_soft_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2479723b, "put_device" },
	{ 0x527ac49d, "cdns_set_sdw_stream" },
	{ 0x18511eab, "pm_runtime_enable" },
	{ 0xcce5d801, "hda_sdw_bpt_open" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe77ea449, "fwnode_property_read_u32_array" },
	{ 0xa3995dd3, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0x68dbb9c0, "sdw_clear_slave_status" },
	{ 0x1ef4c6f6, "sdw_disable_stream" },
	{ 0x2ab05fc7, "debugfs_attr_read" },
	{ 0x33fe0551, "sdw_stream_remove_master" },
	{ 0xefc493f4, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xd856f3e7, "sdw_cdns_exit_reset" },
	{ 0x79145c9d, "_dev_err" },
	{ 0x96c44761, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0x0f2fae8b, "simple_attr_release" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-sof-intel-hda-sdw-bpt,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "395539096AE4994554C3DAF");
