#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_peer_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x1d94fcd3, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x27b60672, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x8aa9fbbd, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x61e689a8, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x37e86385, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x93b30e5f, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x6cd6ba10, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xe1b9df45, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x25c2eb4d, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xeb4637a5, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x142c8d54, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x12b3afaf, "");
SYMBOL_CRC(key_type_rxrpc, 0x9993a238, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x40caa5f6, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x4c95ab33, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x6bd66eba, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xe7e72056, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x72cad250, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x358da8f8, "");
SYMBOL_CRC(rxrpc_kernel_set_peer_data, 0x7440f2ed, "");
SYMBOL_CRC(rxrpc_kernel_get_peer_data, 0xf5013fe0, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x6168b2a1, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x53dd62a9, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xa9db9523, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x4d9315f4, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xf3880a6a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xbc306139, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x34572ade, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x43e14672, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x44aa4527, "lock_sock_nested" },
	{ 0xc9024bcc, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x6b8cff78, "skb_copy_datagram_iter" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb4d2f4bd, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6c28ce7f, "sk_alloc" },
	{ 0x89df4112, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6bda96f1, "__sock_recv_wifi_status" },
	{ 0x4f3395bc, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x74e9d5a5, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x031a2a91, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x326b5d0b, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xea1ccae0, "key_validate" },
	{ 0xae89fb8c, "crypto_alloc_sync_skcipher" },
	{ 0x44b3a35f, "__kmem_cache_create_args" },
	{ 0x7368ed40, "setup_udp_tunnel_sock" },
	{ 0xdc6d066e, "proc_remove" },
	{ 0x1bc7dc34, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69fdad94, "kthread_create_on_node" },
	{ 0x4df08841, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1cb3a62b, "ipv4_mtu" },
	{ 0x5de2e413, "trace_event_buffer_reserve" },
	{ 0x51178ac9, "keyring_search" },
	{ 0xf156e81f, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x35e64585, "request_key_tag" },
	{ 0x2e8f8e37, "generic_key_instantiate" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x36dab7b4, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x2097c678, "sock_no_getname" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x77c3b574, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x5f0fa908, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5774e2c0, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x1e7ce5b8, "dst_release" },
	{ 0xb3b344cf, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x86fdd3f1, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x2f1d263d, "sock_no_ioctl" },
	{ 0xe8738ab3, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xbc17d375, "__seq_puts" },
	{ 0xdae93f68, "page_frag_cache_drain" },
	{ 0xcde435a5, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x2ef8f346, "bpf_trace_run7" },
	{ 0xf64b37d4, "ip_icmp_error" },
	{ 0x7b01c7ca, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x887ffb33, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x4e4cd66a, "skb_to_sgvec" },
	{ 0x42290536, "register_pernet_device" },
	{ 0xab5016b2, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1ebce65e, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xb714d4bd, "kmem_cache_destroy" },
	{ 0x6534caf1, "release_sock" },
	{ 0xfe73c9c8, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2a43e1b6, "proc_create_net_single_write" },
	{ 0x1dc03748, "crypto_alloc_skcipher" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x649d487a, "crypto_skcipher_encrypt" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x48b47e23, "key_alloc" },
	{ 0x819ba60a, "bpf_trace_run4" },
	{ 0xfb954009, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8a2aaf82, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x33978e6d, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4b381e0, "trace_raw_output_prep" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0xf4364bb9, "udp_sock_create4" },
	{ 0xfb5125b9, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xa31c6adb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3f184318, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x40322eee, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x295b176e, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x1ec7b74c, "udpv6_sendmsg" },
	{ 0xe4f7d734, "unregister_key_type" },
	{ 0x75b46d64, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe00c6032, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xebbe5562, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x448d0bd5, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa46fe0c7, "crypto_skcipher_setkey" },
	{ 0xf5a7e45c, "ip_route_output_flow" },
	{ 0x058f51bb, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x0c57756a, "key_instantiate_and_link" },
	{ 0x0479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x725d48c9, "register_key_type" },
	{ 0xe49b8de6, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa938cc21, "minmax_running_min" },
	{ 0x3ee5fe51, "put_cmsg" },
	{ 0xe980fc6d, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x234a2870, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x68ffec12, "register_net_sysctl_sz" },
	{ 0x466d6426, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeb3f2ce8, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xea691161, "ipv6_icmp_error" },
	{ 0x40065320, "sock_register" },
	{ 0x2b00021c, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb87cef9a, "crypto_skcipher_decrypt" },
	{ 0xd0dc721e, "make_kuid" },
	{ 0x297f46a9, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf9be6f58, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x9b2d9d4b, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x0c2c5802, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x7b2001ba, "__sock_recv_timestamp" },
	{ 0xfcf0d720, "key_put" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x548c89e1, "perf_trace_run_bpf_submit" },
	{ 0x6a4dd163, "init_net" },
	{ 0x529a5dfd, "skb_pull" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9195dd18, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55d7f904, "ip6_mtu" },
	{ 0x06f943de, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0xbe0a3455, "bpf_trace_run5" },
	{ 0xe9a81f27, "sk_free" },
	{ 0xa2682d7e, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c383f56, "kernel_sock_shutdown" },
	{ 0x7027a264, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d94a6b5, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc9510b99, "const_current_task" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "5FF7FD1EE8B02BC46D1B24E");
