#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x06e52858, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x989737a7, "");
SYMBOL_CRC(ib_cm_listen, 0x117fbf0d, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x0b924b59, "");
SYMBOL_CRC(ib_send_cm_req, 0xb7dce86b, "");
SYMBOL_CRC(ib_send_cm_rep, 0xa3a398f6, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xf83b2422, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x8243ccdb, "");
SYMBOL_CRC(ib_send_cm_drep, 0xc3c97c83, "");
SYMBOL_CRC(ib_send_cm_rej, 0x1829ac50, "");
SYMBOL_CRC(ib_send_cm_mra, 0x4dda1a39, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x94fcf150, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x9f8641b0, "");
SYMBOL_CRC(ib_cm_notify, 0xa0f41678, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xc69710d8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x234a2870, "trace_event_buffer_commit" },
	{ 0x478f86aa, "rdma_create_ah" },
	{ 0x1bf30724, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x09c84357, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xb8e1dd34, "ib_register_client" },
	{ 0x837fe037, "ib_unregister_mad_agent" },
	{ 0xe7f53c16, "ib_post_send_mad" },
	{ 0x9c1321a1, "ib_create_send_mad" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x548c89e1, "perf_trace_run_bpf_submit" },
	{ 0xa96b4e2d, "rdma_destroy_ah_attr" },
	{ 0x154e2ba4, "ib_set_client_data" },
	{ 0x30ff2454, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x29676794, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbc306139, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x89df4112, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x0a24f596, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7260e798, "rdma_destroy_ah_user" },
	{ 0xc7154df9, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x50f804d6, "ib_port_unregister_client_groups" },
	{ 0x0745a981, "xa_erase" },
	{ 0x4df08841, "bpf_trace_run3" },
	{ 0xbb417fcb, "rdma_move_ah_attr" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5de2e413, "trace_event_buffer_reserve" },
	{ 0x132ff5cf, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x2a6a3cd0, "ib_free_recv_mad" },
	{ 0xd678a67c, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x56c9b3db, "ib_modify_mad" },
	{ 0x88b3a314, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0x36773eee, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdccbadc7, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xa4b381e0, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3f184318, "__trace_trigger_soft_disabled" },
	{ 0x40322eee, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xe00c6032, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x9f10d546, "rdma_query_gid" },
	{ 0xf5ec0a9f, "ib_port_register_client_groups" },
	{ 0x2852d5d8, "ib_modify_port" },
	{ 0x448d0bd5, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "ABF2EBA89FFB2EF98295F05");
