#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xbb0d22e4, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x6b8bf268, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x92b94271, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xac80bbc0, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x4a820149, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x27871d88, "_gpl");
SYMBOL_CRC(is_fw_load, 0x27d6ed45, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x6fe2520d, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x4650489f, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0xa4313222, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x83bdd6a0, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xd01c5822, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x007bab29, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x908d5751, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xc773448b, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x69e18490, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x83b2dc9a, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x301b2496, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x80a34f89, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0xcc54fbbc, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x7c4e19af, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xc28bfb6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd89d7a1d, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb1b17b58, "usb_put_dev" },
	{ 0x356e2c34, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1ff1188a, "video_devdata" },
	{ 0x66616f0b, "vb2_fop_release" },
	{ 0x7282c1e9, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x82ded06b, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x04768573, "usb_submit_urb" },
	{ 0xa3995dd3, "_dev_info" },
	{ 0x86a8ef57, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe425aff, "media_device_register_entity" },
	{ 0x6504ed35, "media_device_cleanup" },
	{ 0xbd9e2f26, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x79145c9d, "_dev_err" },
	{ 0x05140ae4, "i2c_unregister_device" },
	{ 0x35a580fe, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x0d353c9b, "usb_control_msg" },
	{ 0x9d5808ef, "vb2_buffer_done" },
	{ 0xc1be1881, "vb2_plane_vaddr" },
	{ 0x0fd8b75e, "v4l2_ctrl_subscribe_event" },
	{ 0x5b7161f0, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0f6c2a7a, "media_entity_pads_init" },
	{ 0xc3e472ad, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe3e260c4, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xbff7615a, "usb_deregister" },
	{ 0xcc5af061, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xb53807c2, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x52789299, "i2c_mux_alloc" },
	{ 0xae068686, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x0a24f596, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5256fe6e, "vb2_fop_read" },
	{ 0xba3c566e, "v4l2_device_register" },
	{ 0xcfcd6d8e, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x182eb93c, "rc_allocate_device" },
	{ 0x0c078af5, "pv_ops" },
	{ 0xfc3a8042, "usb_unlink_urb" },
	{ 0xfa295a94, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x95a6c732, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0xbb772ea6, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x0a5e89ab, "vb2_ioctl_streamon" },
	{ 0x6014d1ad, "v4l2_mc_create_media_graph" },
	{ 0x775d642b, "vb2_fop_poll" },
	{ 0x7e46322a, "cx2341x_handler_init" },
	{ 0x4564cffe, "cx2341x_handler_set_50hz" },
	{ 0x09afbdec, "__media_device_usb_init" },
	{ 0x218f95ae, "v4l2_ctrl_handler_free" },
	{ 0x4f8e2dea, "i2c_transfer" },
	{ 0xa0beec63, "v4l2_device_unregister" },
	{ 0x8fda6999, "usb_reset_endpoint" },
	{ 0x7c5fc434, "i2c_mux_del_adapters" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0x173563d2, "v4l2_subdev_call_wrappers" },
	{ 0xf6f9e04e, "v4l2_ctrl_log_status" },
	{ 0xfaf0fc9a, "v4l2_i2c_new_subdev" },
	{ 0x83a78f89, "param_ops_int" },
	{ 0xaf1dc4e2, "video_device_release_empty" },
	{ 0x757343c8, "i2c_mux_add_adapter" },
	{ 0xff6d897e, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x68460cbf, "v4l2_event_unsubscribe" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x76355540, "vb2_ioctl_reqbufs" },
	{ 0xf0a287b7, "vb2_queue_init" },
	{ 0x0a86e61a, "usb_alloc_urb" },
	{ 0x365ae521, "v4l2_ctrl_poll" },
	{ 0x510ccfcf, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x98a664b2, "media_device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd762df3c, "usb_free_urb" },
	{ 0xe246bc2b, "devm_kmalloc" },
	{ 0xa474af92, "vb2_ioctl_streamoff" },
	{ 0xdbd8a57e, "v4l2_ctrl_radio_filter" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb275ea75, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf759788e, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6b4939d4, "request_firmware" },
	{ 0xd1eb09f3, "usb_register_driver" },
	{ 0x505c0fdb, "v4l2_ctrl_handler_init_class" },
	{ 0x99198d31, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xcbed0b69, "__media_device_register" },
	{ 0x7beb0a1d, "vb2_ioctl_querybuf" },
	{ 0xa771fff0, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc778162a, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x89b88714, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A315F67435574D1EDC54AFF");
