#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xf9575f43, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x7dadbe05, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79145c9d, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbe44f12d, "skb_push" },
	{ 0x28e1d640, "dma_alloc_attrs" },
	{ 0x29069524, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9658a93f, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2de67ceb, "page_pool_put_unrefed_netmem" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2f6817c9, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x028d43a9, "pci_restore_state" },
	{ 0xebc872bf, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x1647388f, "mlxsw_core_ptp_transmitted" },
	{ 0xe2492360, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc6ca3e5, "__pskb_pull_tail" },
	{ 0x0f8841f7, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2263949, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb375ce57, "alloc_netdev_dummy" },
	{ 0x3e4e6af6, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5bbdac77, "pci_release_regions" },
	{ 0x7bca5ae7, "page_pool_alloc_pages" },
	{ 0xb0d9b5a6, "napi_build_skb" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x37c9fceb, "pci_disable_device" },
	{ 0x807976ba, "dma_set_mask" },
	{ 0x2b406a04, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x0de441c7, "napi_schedule_prep" },
	{ 0x5d95841a, "napi_consume_skb" },
	{ 0x8ef41596, "napi_disable" },
	{ 0x0ed06130, "mlxsw_core_res_valid" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x76a2f82f, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0xe0bcca25, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb32f3f08, "pci_cfg_access_unlock" },
	{ 0x02e2fd8d, "pci_enable_device" },
	{ 0x5b53d9c6, "skb_put" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x9e3b3989, "pci_alloc_irq_vectors" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xd8af2c2b, "dma_unmap_page_attrs" },
	{ 0x9879a990, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc060601f, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc7379ebd, "page_pool_destroy" },
	{ 0x70c3843f, "netif_napi_add_weight_locked" },
	{ 0xbe8e5557, "pci_irq_vector" },
	{ 0x89b88714, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x484489a4, "mlxsw_cmd_exec" },
	{ 0xc777d4fb, "pci_unregister_driver" },
	{ 0xf0e7cdb9, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x637a124b, "pskb_expand_head" },
	{ 0x8d61b26d, "mlxsw_core_bus_device_register" },
	{ 0xcf7c44ba, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd4845dff, "dma_map_page_attrs" },
	{ 0x8cf405b0, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x96806bdd, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc68090ee, "dev_set_threaded" },
	{ 0x155cfb1a, "__pci_reset_function_locked" },
	{ 0x362c414c, "__dma_sync_single_for_cpu" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "F6D5ECA629452130FDDE9BA");
