#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xa1f8c967, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x72bbf767, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xa1d7ec8b, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xe9df4aa4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0xa1b7c631, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x907cd046, "free_percpu" },
	{ 0xe8711107, "unregister_netdevice_queue" },
	{ 0x05300a1f, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4b2f5ef4, "dev_addr_mod" },
	{ 0xe17a19b3, "dev_uc_add" },
	{ 0x9ebda407, "dev_set_mtu" },
	{ 0xda3bdba6, "netdev_update_features" },
	{ 0x4064857e, "netif_stacked_transfer_operstate" },
	{ 0xa00f50d7, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5774e2c0, "skb_clone" },
	{ 0xa7be9ad1, "netif_rx" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x4975fa15, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x33978e6d, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x0c078af5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb7c2b32a, "__dev_queue_xmit" },
	{ 0x3b13ce6f, "dev_forward_skb" },
	{ 0xa381767d, "netpoll_send_skb" },
	{ 0xefe08ccd, "__netif_rx" },
	{ 0xaa0dca7f, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0bf32174, "netdev_core_stats_inc" },
	{ 0x2be6cb3e, "__dev_get_by_index" },
	{ 0x98df40c2, "netdev_is_rx_handler_busy" },
	{ 0x809594b8, "netdev_rx_handler_register" },
	{ 0xadf82732, "register_netdevice" },
	{ 0x64f5f90e, "netdev_upper_dev_link" },
	{ 0xfd568221, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5411bc59, "passthru_features_check" },
	{ 0x605d1dcb, "eth_validate_addr" },
	{ 0x3364cd00, "ndo_dflt_fdb_dump" },
	{ 0x6f01415e, "ethtool_op_get_link" },
	{ 0x905ceb56, "eth_header_parse" },
	{ 0xdb8cfaed, "eth_header_cache" },
	{ 0xa5bdf6e4, "eth_header_cache_update" },
	{ 0x43f537e7, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb0d817a1, "ether_setup" },
	{ 0x67d279ad, "__ethtool_get_link_ksettings" },
	{ 0x7d5ff648, "ethtool_get_ts_info_by_layer" },
	{ 0x6a4dd163, "init_net" },
	{ 0xa400e9fc, "generic_hwtstamp_set_lower" },
	{ 0x4f219fa3, "generic_hwtstamp_get_lower" },
	{ 0xf6b75b84, "dev_mc_del" },
	{ 0xa4f3d779, "dev_uc_del" },
	{ 0x1827039b, "dev_mc_add_excl" },
	{ 0xf012843e, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xc32c4e68, "__netpoll_free" },
	{ 0xb0eacd1a, "vlan_vid_del" },
	{ 0x75a5072e, "vlan_vid_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe7ce2007, "dev_uc_sync" },
	{ 0xcba0ebb4, "dev_mc_sync" },
	{ 0xce53b2bd, "dev_set_allmulti" },
	{ 0xb36681a8, "dev_set_promiscuity" },
	{ 0xc7d6dff4, "dev_uc_unsync" },
	{ 0x048815d9, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x16ec2b99, "netdev_rx_handler_unregister" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x06f943de, "sk_skb_reason_drop" },
	{ 0x69acdf38, "memcpy" },
	{ 0x05fb0385, "dev_set_mac_address" },
	{ 0x037a0cba, "kfree" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x33a3eb73, "netif_inherit_tso_max" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2aecf421, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3ab759ee, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4559B630E161CA7B81707D5");
