#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_supports_eee, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xd2b0477f, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xbbb7c673, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xc5546539, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xcc6b9c1f, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x2ece7f47, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x215151ae, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xdaaddc11, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x2243b2b8, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x6e0b5f37, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x4a2936ca, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xf38e846c, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x993b15e6, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xbd114769, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x8fd8e25b, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x61bcd3ab, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x94ffb181, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x61f1da9c, "_gpl");
SYMBOL_CRC(dsa_supports_eee, 0x1b651a3e, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x88bfc760, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x719c6acc, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xcafe1ac8, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x8747f9ea, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x112c922f, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x39804083, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xe2be1be2, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x172ad76f, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0x46290898, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xb43ddfc6, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xf3312fc7, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x5331fbce, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0xc28aafa0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2479723b, "put_device" },
	{ 0xd5422eaf, "netdev_upper_get_next_dev_rcu" },
	{ 0x7f770420, "devl_resource_occ_get_unregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xbd268f2b, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8c0b61ee, "switchdev_bridge_port_offload" },
	{ 0xa3995dd3, "_dev_info" },
	{ 0xb479b7c8, "netif_device_attach" },
	{ 0x2b0baadd, "devl_resource_register" },
	{ 0x4083cdc5, "phylink_ethtool_get_eee" },
	{ 0x22b37eda, "module_put" },
	{ 0xc604dfce, "ptp_classify_raw" },
	{ 0x4cdf0248, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x003f6c91, "devlink_region_create" },
	{ 0x9a09dfdb, "vlan_dev_real_dev" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x2be6cb3e, "__dev_get_by_index" },
	{ 0x3ab759ee, "rtnl_link_unregister" },
	{ 0x548c89e1, "perf_trace_run_bpf_submit" },
	{ 0x956ae4c1, "devlink_port_unregister" },
	{ 0x79145c9d, "_dev_err" },
	{ 0x6a4dd163, "init_net" },
	{ 0xde1e8949, "noop_qdisc" },
	{ 0x04e88faf, "phy_ethtool_get_strings" },
	{ 0x748598d3, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xcfecbcf4, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x06f943de, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2ebbc920, "dev_remove_pack" },
	{ 0xbe0a3455, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa40ca981, "gro_cells_receive" },
	{ 0xcb288513, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xbe44f12d, "skb_push" },
	{ 0x05300a1f, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xc9510b99, "const_current_task" },
	{ 0xf6b75b84, "dev_mc_del" },
	{ 0xbc306139, "trace_event_reg" },
	{ 0x8b44b89c, "br_vlan_get_info" },
	{ 0x9658a93f, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc51d606d, "mdiobus_free" },
	{ 0x64dc9c88, "sysfs_create_group" },
	{ 0x6f01415e, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x5101e599, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x85fea365, "phylink_ethtool_set_eee" },
	{ 0x08213956, "phylink_ethtool_get_wol" },
	{ 0x7d279749, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb8e47888, "switchdev_bridge_port_unoffload" },
	{ 0x0a24f596, "_dev_warn" },
	{ 0x0974a2dc, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xbcd740d3, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xa7be9ad1, "netif_rx" },
	{ 0xb33e954e, "dev_mc_add" },
	{ 0x380c95c8, "flow_block_cb_alloc" },
	{ 0xdb0dbba4, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x014be0c2, "skb_trim" },
	{ 0x2a8ac494, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2ab517fb, "__dynamic_netdev_dbg" },
	{ 0x0c078af5, "pv_ops" },
	{ 0x02acbc76, "sysfs_remove_group" },
	{ 0x3ad9efce, "net_selftest" },
	{ 0x4df08841, "bpf_trace_run3" },
	{ 0x580c0663, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc1c98d47, "phylink_ethtool_ksettings_set" },
	{ 0xcb0816ba, "devlink_port_init" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xa1b7c631, "__netpoll_setup" },
	{ 0xb7c2b32a, "__dev_queue_xmit" },
	{ 0x75a5072e, "vlan_vid_add" },
	{ 0x29b63c3d, "devlink_params_register" },
	{ 0x5de2e413, "trace_event_buffer_reserve" },
	{ 0x385a994a, "br_vlan_get_info_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xb0eacd1a, "vlan_vid_del" },
	{ 0xce53b2bd, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x6bd6a319, "devlink_resources_unregister" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0x215b6611, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbfa46866, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8635102a, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7e830168, "devlink_port_region_create" },
	{ 0x0c83ff15, "devlink_priv" },
	{ 0x5f0fa908, "skb_copy" },
	{ 0x2fa45375, "__hw_addr_sync_dev" },
	{ 0x31731567, "devlink_port_register_with_ops" },
	{ 0x1fc19e95, "mdiobus_get_phy" },
	{ 0x1e7ce5b8, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xcd22e9b2, "__mdiobus_register" },
	{ 0x75f2e0c4, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe17a19b3, "dev_uc_add" },
	{ 0x78e34d94, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5e781ea9, "br_mst_enabled" },
	{ 0x3b7980e8, "devl_resource_occ_get_register" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xbeef5c7c, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x4c518a34, "dev_kfree_skb_any_reason" },
	{ 0xbd80d4a4, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd2bdec90, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x81dd0b18, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xcce9e8a8, "dcb_ieee_setapp" },
	{ 0x19a44b09, "phy_ethtool_get_sset_count" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2e14b80d, "__skb_vlan_pop" },
	{ 0x3d3805a5, "phylink_connect_phy" },
	{ 0x68c21aa7, "br_get_ageing_time" },
	{ 0xadf82732, "register_netdevice" },
	{ 0x2ca720de, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x6a5c0da2, "netdev_lower_get_next" },
	{ 0x4ad84bbe, "flow_block_cb_lookup" },
	{ 0x33ce38bd, "switchdev_handle_port_obj_add_foreign" },
	{ 0x9ebda407, "dev_set_mtu" },
	{ 0xbf0c54de, "br_vlan_enabled" },
	{ 0x06b70463, "__skb_pad" },
	{ 0xf718a94a, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x36bc8830, "skb_ensure_writable_head_tail" },
	{ 0x819ba60a, "bpf_trace_run4" },
	{ 0x6448a9c4, "devlink_unregister" },
	{ 0x3541cffc, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x723815b9, "br_port_flag_is_set" },
	{ 0xe246bc2b, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x417d895e, "call_switchdev_notifiers" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3c2003b1, "br_port_get_stp_state" },
	{ 0x33978e6d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3371ace9, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xefbce07c, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc32c4e68, "__netpoll_free" },
	{ 0xa4b381e0, "trace_raw_output_prep" },
	{ 0x5ac1f5c6, "br_vlan_get_proto" },
	{ 0x4e303e04, "devl_lock" },
	{ 0x636bf799, "br_mst_get_state" },
	{ 0xd9310260, "unregister_netdev" },
	{ 0x3f184318, "__trace_trigger_soft_disabled" },
	{ 0x40322eee, "trace_event_printf" },
	{ 0xa4f3d779, "dev_uc_del" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xa381767d, "netpoll_send_skb" },
	{ 0x2aecf421, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x1841cf47, "devlink_params_unregister" },
	{ 0x9424d88d, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xe00c6032, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf5c07ed9, "devlink_alloc_ns" },
	{ 0xb36681a8, "dev_set_promiscuity" },
	{ 0x380c02f0, "devlink_register" },
	{ 0x8cccc9e2, "devlink_free" },
	{ 0x2de0bbfe, "gro_cells_init" },
	{ 0x448d0bd5, "bpf_trace_run2" },
	{ 0xbab11a47, "netdev_warn" },
	{ 0xe8711107, "unregister_netdevice_queue" },
	{ 0xa3609fd5, "get_device" },
	{ 0x57f33920, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x89b88714, "__dynamic_dev_dbg" },
	{ 0x50ff7a4f, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb0d817a1, "ether_setup" },
	{ 0xe21250a2, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x3c886627, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x64f5f90e, "netdev_upper_dev_link" },
	{ 0x637a124b, "pskb_expand_head" },
	{ 0x6a27ae7c, "switchdev_handle_port_attr_set" },
	{ 0xdb7064e1, "phylink_create" },
	{ 0x5b9cbf31, "vlan_for_each" },
	{ 0x5352bb22, "netdev_port_same_parent_id" },
	{ 0x234a2870, "trace_event_buffer_commit" },
	{ 0x4b2f5ef4, "dev_addr_mod" },
	{ 0xe2fefbce, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac90b47d, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2c0b0e0d, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x63218963, "vlan_dev_vlan_proto" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "07A344AD671910B712A79B8");
