#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x240a767d, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xb611dd2c, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x6b848090, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x9aa92604, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x5fee9f7a, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x8b0a2b0d, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xd504c6c6, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xdc4c709b, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xef51d91c, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xced7da2d, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x75c71d20, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xf6977823, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xd39cca2a, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x55c508b2, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x192e32a0, "");
SYMBOL_CRC(nf_nat_follow_master, 0x6444cde7, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xced2bb79, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x038e42f5, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x6bbf69d1, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x41e9fca2, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x999c00de, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xbb4cc101, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x637a124b, "pskb_expand_head" },
	{ 0xa7ff4fc9, "register_pernet_subsys" },
	{ 0x5717ab98, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb7ef1966, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x0a930509, "ipv6_skip_exthdr" },
	{ 0x9bc3800c, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x22b37eda, "module_put" },
	{ 0x82e69c4a, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xb1f0df28, "nf_ct_expect_related_report" },
	{ 0x955e0f8a, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f2c25b4, "nf_hook_entries_delete_raw" },
	{ 0xdaf6e3ee, "skb_ensure_writable" },
	{ 0x0aacd870, "nf_unregister_net_hooks" },
	{ 0x97e010bd, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0xa6370c8d, "unregister_pernet_subsys" },
	{ 0x612b1b70, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4837b0a6, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x891bb11d, "nf_ip_checksum" },
	{ 0x846e367c, "register_btf_kfunc_id_set" },
	{ 0x8004f64b, "nf_ct_iterate_destroy" },
	{ 0x0e4262c6, "__siphash_unaligned" },
	{ 0x56267748, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x251f1ee8, "__put_net" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x27892978, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3140f49e, "inet_proto_csum_replace4" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2f56ff71, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x1e7ce5b8, "dst_release" },
	{ 0xa084fdc6, "nf_ct_l4proto_find" },
	{ 0x009306d6, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xae6cb7d3, "nf_nat_hook" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x10a999bd, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6d11cc24, "nf_ct_ext_add" },
	{ 0x88c23f40, "__do_once_done" },
	{ 0x9db90d4a, "nf_conntrack_find_get" },
	{ 0xf718a94a, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x180e39bc, "nf_ip6_checksum" },
	{ 0xfb954009, "skb_copy_bits" },
	{ 0xdc0e9a1b, "nf_hook_entries_insert_raw" },
	{ 0xd9bc021c, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc82e84b2, "nf_ct_seqadj_set" },
	{ 0x5b53d9c6, "skb_put" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15f5f20c, "nf_ct_helper_expectfn_unregister" },
	{ 0xce694db4, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xf18c65ed, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x24243c88, "ip6_route_me_harder" },
	{ 0xbeb162ab, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "08B3963386043E137765BC8");
